ref_file = "civ5_lua_hooks.csv"
reference = open(ref_file)

hooks = []
hooknames = []
for hook in reference:
	hooks.append(hook.strip().split("\t"))
	hooknames.append(hook.strip().split("\t")[0])

def hookexists(hook):
	if not hook in hooknames:
		return False
	else:
		return True

def searchhooks(string):
	hooksfound = []
	for hook in hooknames:
		if string.lower() in hook.lower():
			hooksfound.append(hook)
	return hooksfound

def lookup(hook):
	if not hookexists(hook):
		print "\n'" + hook + "' is not a valid Civ5 Lua hook\n"
		if not searchhooks(hook):
			return
		else:
			print "*" * 50
			print "Are any of these the hook you're looking for?\n"
			for possiblehook in searchhooks(hook):
				print possiblehook + "\n"
			print "*" * 50
	else:
		id = hooknames.index(hook)
		print "Vanilla: " + hooks[id][3].lower()
		print "G&K: " + hooks[id][2].lower()
		print "BNW: " + hooks[id][1].lower()

while True:
	hook = raw_input("Hook (case-sensitive): ")
	if hook != "":
		lookup(hook)